
/**
 * @author Radek Oslejsek
 */
public class Person implements Informing, Going {
    
    private String name;
    
    private boolean isGoing = false;
    
    /**
     * 
     * @param name Name of the person
     */
    public Person(String name) {      
        this.name = name;
    }
    
    /**
     * Returns name of the person.
     * @return name of the person.
     */
    public String getName() {
        return name;
    }
   
    /**
     * Writes information about the object to std. output
     */
    public void writeInfo() {
        if (isGoing) {
            System.out.println("Person " + name + " is going" );
        } else {
            System.out.println("Person " + name + " is not going" );
        }
    }
    
    @Override
    public void start() {
        isGoing = true;
    }
    
    @Override
    public void stop() {
        isGoing = false;
    }
}
